%global pypi_name rebulk

Name:           python-%{pypi_name}
Version:        3.1.0
Release:        %mkrel 3
Summary:        Define simple search patterns in bulk to perform advanced matching on any string
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/rebulk/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
ReBulk is a python library that performs advanced searches in strings that
would be hard to implement using re module or String methods only.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest-runner)

%description -n python3-%{pypi_name}
ReBulk is a python library that performs advanced searches in strings that
would be hard to implement using re module or String methods only.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc CHANGELOG.md LICENSE README.md
%{python3_sitelib}/rebulk
%{python3_sitelib}/rebulk-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Mar 27 2022 umeabot <umeabot> 3.1.0-3.mga9
+ Revision: 1828887
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 3.1.0-2.mga9
+ Revision: 1783117
- rebuild for python-3.10

* Sat Jan 08 2022 guillomovitch <guillomovitch> 3.1.0-1.mga9
+ Revision: 1767289
- new version 3.1.0

* Mon Mar 22 2021 guillomovitch <guillomovitch> 3.0.1-2.mga9
+ Revision: 1707299
- rebuild for python 3.9

* Fri Feb 26 2021 guillomovitch <guillomovitch> 3.0.1-1.mga9
+ Revision: 1691755
- new version 3.0.1

* Fri May 08 2020 guillomovitch <guillomovitch> 2.0.1-1.mga8
+ Revision: 1581759
- imported package python-rebulk

